org.gnome.gtk

## Interface TreeModel.RowChanged

- Enclosing class:
    TreeModel

      public static interface TreeModel.RowChanged

  The signal emitted when a row in the model is changed.
  Since:
    4.0.6
  Author:
    Andrew Cowie

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onRowChanged(TreeModel source, TreePath path, TreeIter row)` The `path` and `row` arguments give you valid a TreePath and TreeIter respectively pointing at the row that changed.

- - ### Method Detail

    - #### onRowChanged

          void onRowChanged(TreeModel source,
                          TreePath path,
                          TreeIter row)

      The `path` and `row` arguments give you valid a TreePath and TreeIter respectively pointing at the row that changed. Be wary, though, that these are not going to be stable beyond the invocation of this callback; if one row has changed, you can bet others are changing too. Do what you need to do and leave the variables to be collected.

      For subtle implementation reasons, you can't iterate using the `row` TreeIter. If you need to cycle over the model, get a TreeIter pointing to the beginning of the model as follows:

           row = source.getIterFirst();
           do {
               // do whatever with each row
           } while (row.iterNext());